$(function() {

$('.move').button().click(function(e) {
	e.preventDefault();

	$('#chanlist' + ' option:selected').each(function() {
		var box = $('#dellist');
		box.val(box.val() + $.trim($(this).val()) + '\n');
		$(this).remove();
	});
});

$('.hoverhand').hover(
    function() { $(this).css('cursor', 'pointer'); },
    function() { $(this).css('cursor', 'auto'); }
);

$('.help').tooltip({
	content: function() {
		return $(this).next('div.tooltip').html();
	},
	items: ".help",
	tooltipClass: "tooltip"
});

$('#forcelist').on('click', '.forcedel', function() {
	$(this).closest('tr').remove();
});

$('.forceadd').on('click', function() {
	$tr = $('#forcelist_template').clone(true)
                .removeAttr('id')
                .removeClass('hidden');
	$('#forcelist tbody').append($tr);
	//$tr.insertAfter($('#forcelist_template tr:last'));

});

// Always add an empty row if the table is empty.
if ($('#forcelist tbody tr').size() == 1)
	$('.forceadd').trigger('click');

$('#save').button({icons:{primary:"ui-icon-disk"}}).on('click', function() {
	$('#saveresults').empty();
	$('#saving').slideDown();

	force = [];
	$('#forcelist tr').each(function() {
		var lcn = $.trim($(this).find('.forcelcn').val());
		var name = $.trim($(this).find('.forcename').val());

		if (lcn && name)
			force.push(lcn + ':' + name);
	});

	data = {
		region: $('#region').val(),
		lcn: $('#lcnlist').val(),
		name: $('#dellist').val(),
		force: force
	};

	$('#saveresults').load('save.jim', data, function(data) {
		$('#saving').slideUp('slow');
	});

});

});

